package com.engine.kq.util;

import java.util.UUID;

/**
 * React化分页组参考pageuid生成类
 * 
 * @author lvyi
 */
public class PageUidFactory {

	/**
	 * 获取React分页组件所需pageuid，每个分页组件唯一，直接通过Main程序生成随机UID常量即可
	 * 
	 * @return
	 */
	public static String getHrmPageUid(String param){
		if("KQGroupSearchList".equals(param)) {
			return "2b2ff742-645e-4b6b-b7a2-d08c0d1632d5";
		}else if("KQGroupMembersSearchList".equals(param)) {
			return "3124f80d-b6a7-4194-a05e-0fae4ec6c6f5";
		}else if("KQLocationList".equals(param)){
			return "c5603887-2b6c-43be-8c1f-18c3794eddee";
		}else if("KQWifiList".equals(param)){
			return "24887e97-4b1d-4ac1-abb1-7a74678f5f53";
		}else if("KQReportDetialList".equals(param)){
			return "484dfc16-90c3-4dd8-8d21-dad2f0f443bc";
		}else if("KQReport".equals(param)){
			return "d04a46f0-03bd-43dc-b150-dc52cbd6ce71";
		}else if("KQDailyReport".equals(param)){
			return "cedbbfee-03ad-430e-bd9a-e294750a2dbe";
		}else if("KQGroupMembersSearchList".equals(param)){
			return "c26aa26c-ed9b-49f9-9553-5d60655eb4e2";
		}else if("ScheduleCodeList".equals(param)){
			return "9fb6606e-83ed-49c3-b3c7-a63f6afdbe7a";
		}else{
			return "";
		}
	}
	
	public static void main(String[] args){
		for(int i=0; i<10; i++){
			UUID uuid = UUID.randomUUID();
			System.err.println(uuid);
		}
	}
	
}
